%define module  Net-Finger
%define name    perl-%{module}
%define version 1.06
%define release %mkrel 14

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        A Perl implementation of a finger client
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Net/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Net::Finger is a simple, straightforward implementation of a finger client in
Perl -- so simple, in fact, that writing this documentation is almost
unnecessary.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Net
%{_mandir}/*/*



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.06-14mdv2009.0
+ Revision: 258010
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.06-13mdv2009.0
+ Revision: 246082
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.06-11mdv2008.1
+ Revision: 140692
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-11mdv2008.0
+ Revision: 86690
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-10mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.06-9mdk
- Fix SPEC according to Perl Policy
    - Source URL

* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-8mdk
- spec cleanup
- fix directory ownership
- %%mkrel
- rpmbuildupdate aware
- better summary
- better description
- better url

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.06-7mdk
- rpmbuildupdated

